import { defineConfig } from "vite"

import path from "path"
import Vue from "@vitejs/plugin-vue"
import Pages from "vite-plugin-pages"
import Layouts from "vite-plugin-vue-layouts"
import UnoCSS from "unocss/vite"
import Components from "unplugin-vue-components/vite"

export default defineConfig({
  resolve: {
    alias: {
      "~/": `${path.resolve(__dirname, "src")}/`,
    },
  },
  plugins: [
    Vue(),
    
    Pages(),

    Layouts(),

    UnoCSS(),

    Components({
      dts: "src/components.d.ts",
      dirs: ["src/components"],
    }),
  ],
})
